% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/DBConnection.R
\docType{class}
\name{DBIConnection-class}
\alias{DBIConnection-class}
\title{DBIConnection class}
\description{
This virtual class encapsulates the connection to a DBMS, and it provides
access to dynamic queries, result sets, DBMS session management
(transactions), etc.
}
\section{Implementation note}{

Individual drivers are free to implement single or multiple simultaneous
connections.
}

\examples{
con <- dbConnect(RSQLite::SQLite(), ":memory:")
con
dbDisconnect(con)

\dontrun{
con <- dbConnect(RPostgreSQL::PostgreSQL(), "username", "passsword")
con
dbDisconnect(con)
}
}
\seealso{
Other DBI classes: \code{\link{DBIDriver-class}},
  \code{\link{DBIObject-class}},
  \code{\link{DBIResult-class}}

Other DBIConnection generics: \code{\link{dbDataType}},
  \code{\link{dbDisconnect}}, \code{\link{dbExecute}},
  \code{\link{dbExistsTable}},
  \code{\link{dbGetException}}, \code{\link{dbGetInfo}},
  \code{\link{dbGetQuery}}, \code{\link{dbIsValid}},
  \code{\link{dbListFields}}, \code{\link{dbListResults}},
  \code{\link{dbListTables}}, \code{\link{dbReadTable}},
  \code{\link{dbRemoveTable}}, \code{\link{dbSendQuery}},
  \code{\link{dbSendStatement}}, \code{\link{dbWriteTable}}
}
